org.richfaces.renderkit.html.images

## Class ToolbarSeparatorImage

- java.lang.Object
- - org.richfaces.renderkit.html.images.ToolbarSeparatorImage

- All Implemented Interfaces:
    org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource
  Direct Known Subclasses:
    DotSeparatorImage, GridSeparatorImage, LineSeparatorImage, SquareSeparatorImage

      public abstract class ToolbarSeparatorImage
      extends Object
      implements org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolbarSeparatorImage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getHeaderBackgroundColor()`
    `Integer` | `getHeaderGradientColor()`
    `org.richfaces.resource.ImageType` | `getImageType()`
    `Date` | `getLastModified()`
    `Map<String,String>` | `getResponseHeaders()`
    `Integer` | `getSeparatorHeight()`
    `void` | `initialize()`
    `boolean` | `isTransient()`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `setHeaderBackgroundColor(Integer bgColor)`
    `void` | `setHeaderGradientColor(Integer headerGradientColor)`
    `void` | `setSeparatorHeight(Integer separatorHeight)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.resource.Java2DUserResource

      `getDimension, paint`

- - ### Constructor Detail

    - #### ToolbarSeparatorImage

          public ToolbarSeparatorImage()

  - ### Method Detail

    - #### getHeaderBackgroundColor

          public Integer getHeaderBackgroundColor()

    - #### setHeaderBackgroundColor

          public void setHeaderBackgroundColor(Integer bgColor)

    - #### getSeparatorHeight

          public Integer getSeparatorHeight()

    - #### setSeparatorHeight

          public void setSeparatorHeight(Integer separatorHeight)

    - #### getHeaderGradientColor

          public Integer getHeaderGradientColor()

    - #### setHeaderGradientColor

          public void setHeaderGradientColor(Integer headerGradientColor)

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                        DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `org.richfaces.resource.StateHolderResource`
      Throws:
        `IOException`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                       DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `org.richfaces.resource.StateHolderResource`
      Throws:
        `IOException`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `org.richfaces.resource.StateHolderResource`

    - #### getResponseHeaders

          public Map<String,String> getResponseHeaders()

      Specified by:
        `getResponseHeaders` in interface `org.richfaces.resource.Java2DUserResource`

    - #### getLastModified

          public Date getLastModified()

      Specified by:
        `getLastModified` in interface `org.richfaces.resource.Java2DUserResource`

    - #### getImageType

          public org.richfaces.resource.ImageType getImageType()

      Specified by:
        `getImageType` in interface `org.richfaces.resource.Java2DUserResource`

    - #### initialize

          public final void initialize()

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.